<?php
include_once "connect.php";

if(isset($_POST['adicionar'])){
    $ds_categoria = $_POST['ds_cliente_categoria'];

    $sql = "insert into erpc_clientes_categorias (ds_categoria, st_ativo) values ('$ds_categoria', 1);";
    //$result = mysqli_query($conexao, $sql);

    $stmt = mysqli_prepare($conexao, $sql) or die (mysqli_error($conexao) . "<br />" . $sql);
    $ok = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

    if($ok){
        header("Location:erpc_clientes_categorias_list.php");
    }

}

if(isset($_POST['editar'])){
    $id_categoria = $_POST['id_categoria'];
    $ds_categoria = $_POST['ds_cliente_categoria'];

    $sql = "update erpc_clientes_categorias set ds_categoria = '$ds_categoria' where id = $id_categoria";
    echo $sql . "<br>";
    $stmt = mysqli_prepare($conexao, $sql) or die (mysqli_error($conexao));
    $ok = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
    if($ok){
        header("Location:erpc_clientes_categorias_list.php"); 
    }
}

if(isset($_POST['excluir'])){
    $id_categoria = $_POST['id_categoria'];

    $sql = "update erpc_clientes_categorias set st_ativo=0 where id = $id_categoria";
    echo $sql . "<br>";
    $stmt = mysqli_prepare($conexao, $sql) or die (mysqli_error($conexao));
    $ok = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
    if($ok){
        header("Location:erpc_clientes_categorias_list.php"); 
    }
}